Saltar al contenido principal
POST
/
marketing
/
marketing-events
/
2026-03
/
events
/
upsert
Crear o actualizar múltiples eventos de marketing
curl --request POST \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/events/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "customProperties": [
        {
          "dataSensitivity": "high",
          "isEncrypted": true,
          "isLargeValue": true,
          "name": "<string>",
          "persistenceTimestamp": 123,
          "requestId": "<string>",
          "selectedByUser": true,
          "selectedByUserTimestamp": 123,
          "source": "ACADEMY",
          "sourceId": "<string>",
          "sourceLabel": "<string>",
          "sourceMetadata": "<string>",
          "sourceUpstreamDeployable": "<string>",
          "sourceVid": [
            123
          ],
          "timestamp": 123,
          "unit": "<string>",
          "updatedByUserId": 123,
          "useTimestampAsPersistenceTimestamp": true,
          "value": "<string>"
        }
      ],
      "eventName": "<string>",
      "eventOrganizer": "<string>",
      "externalAccountId": "<string>",
      "externalEventId": "<string>",
      "endDateTime": "2023-11-07T05:31:56Z",
      "eventCancelled": true,
      "eventCompleted": true,
      "eventDescription": "<string>",
      "eventType": "<string>",
      "eventUrl": "<string>",
      "startDateTime": "2023-11-07T05:31:56Z"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "customProperties": [
        {
          "dataSensitivity": "high",
          "isEncrypted": true,
          "isLargeValue": true,
          "name": "<string>",
          "persistenceTimestamp": 123,
          "requestId": "<string>",
          "selectedByUser": true,
          "selectedByUserTimestamp": 123,
          "source": "ACADEMY",
          "sourceId": "<string>",
          "sourceLabel": "<string>",
          "sourceMetadata": "<string>",
          "sourceUpstreamDeployable": "<string>",
          "sourceVid": [
            123
          ],
          "timestamp": 123,
          "unit": "<string>",
          "updatedByUserId": 123,
          "useTimestampAsPersistenceTimestamp": true,
          "value": "<string>"
        }
      ],
      "eventName": "<string>",
      "eventOrganizer": "<string>",
      "id": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "endDateTime": "2023-11-07T05:31:56Z",
      "eventCancelled": true,
      "eventCompleted": true,
      "eventDescription": "<string>",
      "eventType": "<string>",
      "eventUrl": "<string>",
      "objectId": "<string>",
      "startDateTime": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Cuerpo

application/json
inputs
object[]
requerido

Respuesta

successful operation

completedAt
string<date-time>
requerido

Marca de tiempo de cuando se completó la solicitud.

results
object[]
requerido
startedAt
string<date-time>
requerido

Marca de tiempo de cuando comenzó a procesarse la solicitud.

status
enum<string>
requerido

Estado de la respuesta.

Opciones disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

Resultado de la solicitud.

numErrors
integer<int32>

El número de errores que se produjeron durante la solicitud.

requestedAt
string<date-time>

Marca de tiempo de cuando se envió la solicitud.

Last modified on April 13, 2026